h = 4;
L = 90;
W = 100;

D = 6;
d = 4;

difference() {
    cube([L, W, h], center=true);
    
    /* M6 holes */
    translate([20, 5, 0])
        cylinder(d = D, h = h*2, center = true, $fn=20);
    translate([-20, 5, 0])
        cylinder(d = D, h = h*2, center = true, $fn=20);
    
    /* Holes for the cable */
    translate([7.5, 10 + 15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-7.5, 10 + 15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([7.5, 10 + 15*2, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-7.5, 10 + 15*2, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    
    /* Holes for the matching loop */
    translate([25, -20, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-25, -20, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([25, -20-15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-25, -20-15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([35, -20, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-35, -20, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([35, -20-15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
    translate([-35, -20-15, 0])
        cylinder(d = d, h = h*2, center = true, $fn=20);
}